Subject: [mobile-ip] Behavior of a mobility agent in order to manage the flow

From: Koichi Ishibashi <[email-masked]>
Date: Mon, 11 Mar 2002 20:39:52 +0900

Hi all,
We wrote a draft about behavior of a mobility agent in order to
apply different handoff mechanisms to individual flows, a few months ago.

http://www.ietf.org/internet-drafts/draft-ishi-mobileip-behavior-ma-00.txt .

We have received few comments.
However, we'd like to start a discussion of the subject.

Our draft aims at bringing up a problem that a mobility agent
should apply different handoff mechanisms to individual flows
according to an implicit or explicit configuration.

Mobile IP is known to a protocol that deals solely with terminal mobility.
In Mobile IP and its proposed extensions, when a mobile node,
that has multiple connections (flows) simultaneously,
moves between networks, a handoff mechanism is
applied to the terminal’s movement.
Even if each connection (flow) may request its own distinctive QoS,
all connections (flows) will go through same interruption of services
and jitters due to the handoffs.
So we propose that a mobility agent should apply different handoff
mechanisms to each connection (flow) according to the requested QoS.

We are assuming that it will be necessary to support a QoS mechanism
and mobility agents should support the QoS mechanism
in a future mobile network. And we think we need to clarify
behavior of the mobility agent when it supports more than one handoff
mechanism in order to assure a QoS attribute when the mobile node moves.

We look forward to receiving your comments.
And if I miss something, please forgive my ignorance and let me know.

Ishibashi